Skip to main content

Enable machine accounts in bulk

POST 

/machine-accounts/v1/bulk-enable

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Use this API to submit one task that enables up to 100 machine accounts, and get the task ID. Machine accounts that are already enabled or that can't be enabled are skipped. When none of the machine accounts can be enabled, the task completes with an error.

The request fails with 400 when ids is empty or has more than 100 entries.

A caller who owns the machine accounts can enable them. Other callers need the idn:mis-account:enable right. For a caller without the right, machine accounts they do not own are skipped.

When this capability is not enabled for the tenant, this API returns 403.

Request​

Responses​

Async task details.